#!/bin/sh

set -x

export QML2_IMPORT_PATH=/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks:/usr/lib/arm-linux-gnueabihf/unity8/qml/utils:/usr/lib/arm-linux-gnueabihf/unity8/qml
export UNITY_TESTING=1
export LANGUAGE=C
export LC_ALL=C.UTF-8
export LD_LIBRARY_PATH=/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks/liblightdm:/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks/libusermetrics:/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks/WindowManager
export UITK_ICON_THEME=suru
export UNITY_TESTING_DATADIR="/usr/share/unity8"
export UNITY_TESTING_LIBDIR="/usr/lib/arm-linux-gnueabihf/unity8"

XML_ARGS=
if [ -n "$ARTIFACTS_DIR" ]; then
    XML_ARGS=" -o $ARTIFACTS_DIR/tests/plugins/LightDM/IntegratedLightDM/testGreeterPrompts.xml,xunitxml "
    mkdir -p "$ARTIFACTS_DIR/tests/plugins/LightDM/IntegratedLightDM"
    touch "$ARTIFACTS_DIR/tests/plugins/LightDM/IntegratedLightDM/testGreeterPrompts.xml"
fi

'/usr/bin/gdb' '-ex' 'run' '-args' '/usr/lib/arm-linux-gnueabihf/unity8/tests/plugins/LightDM/IntegratedLightDM/GreeterPromptsModelTestExec' $XML_ARGS '-o' '-,txt' "$@"