#!/bin/sh

set -x

export QT_QPA_PLATFORM=xcb
export QML2_IMPORT_PATH=/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks:/usr/lib/arm-linux-gnueabihf/unity8/qml/utils:/usr/lib/arm-linux-gnueabihf/unity8/qml
export LD_PRELOAD=/usr/lib/arm-linux-gnueabihf/mesa/libGL.so.1
export LD_PRELOAD=/usr/lib/arm-linux-gnueabihf/unity8/tests/plugins/Unity/Session/libSessionBackendTestPreload.so
export XDG_SESSION_PATH=/session
export UNITY_TESTING=1
export LANGUAGE=C
export LC_ALL=C.UTF-8
export LD_LIBRARY_PATH=/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks/liblightdm:/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks/libusermetrics:/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks/WindowManager
export LD_PRELOAD=/usr/lib/arm-linux-gnueabihf/unity8/tests/plugins/Unity/Session/libSessionBackendTestPreload.so
export XDG_SESSION_PATH=/session
export QT_QPA_PLATFORM=minimal
export UITK_ICON_THEME=suru
export UNITY_TESTING_DATADIR="/usr/share/unity8"
export UNITY_TESTING_LIBDIR="/usr/lib/arm-linux-gnueabihf/unity8"

XML_ARGS=
if [ -n "$ARTIFACTS_DIR" ]; then
    XML_ARGS=" --parameter -o --parameter $ARTIFACTS_DIR/tests/plugins/Unity/Session/testSessionBackend.xml,xunitxml "
    mkdir -p "$ARTIFACTS_DIR/tests/plugins/Unity/Session"
    touch "$ARTIFACTS_DIR/tests/plugins/Unity/Session/testSessionBackend.xml"
fi

'/usr/bin/xvfb-run' '--server-args' '-screen 0 1024x768x24' '--auto-servernum' '/usr/bin/dbus-test-runner' '--task' '/usr/lib/arm-linux-gnueabihf/unity8/tests/plugins/Unity/Session/LightDMServer' '--task-name' 'server' '--ignore-return' '--task' '/usr/lib/arm-linux-gnueabihf/unity8/tests/plugins/Unity/Session/sessionbackendtestExec' '--task-name' 'client' '--wait-for' 'org.freedesktop.DisplayManager' $XML_ARGS '--parameter' '-o' '--parameter' '-,txt' "$@"